Package ru.bitel.bgbilling.modules.tinkoff.server.bean

# Enum Class Status

java.lang.Object
java.lang.Enum<Status>
ru.bitel.bgbilling.modules.tinkoff.server.bean.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Status>`, `Constable`

public enum Status extends Enum<Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `_3DS_CHECKED`
  `_3DS_CHECKING`
  `AUTH_FAIL`
  `AUTHORIZED`
  `AUTHORIZING`
  `CANCELED`
  `CONFIRMED`
  `CONFIRMING`
  `DEADLINE_EXPIRED`
  `FORM_SHOWED`
  `NEW`
  `PARTIAL_REFUNDED`
  `PREAUTHORIZING`
  `REFUNDED`
  `REFUNDING`
  `REJECTED`
  `REVERSED`
  `REVERSING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `String`
  `getTitle()`
  `boolean`
  `isFinalStatus()`
  `static Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final Status NEW

  - ### CANCELED

    public static final Status CANCELED

  - ### PREAUTHORIZING

    public static final Status PREAUTHORIZING

  - ### FORM_SHOWED

    public static final Status FORM_SHOWED

  - ### DEADLINE_EXPIRED

    public static final Status DEADLINE_EXPIRED

  - ### AUTHORIZING

    public static final Status AUTHORIZING

  - ### _3DS_CHECKING

    public static final Status _3DS_CHECKING

  - ### _3DS_CHECKED

    public static final Status _3DS_CHECKED

  - ### AUTH_FAIL

    public static final Status AUTH_FAIL

  - ### AUTHORIZED

    public static final Status AUTHORIZED

  - ### REVERSING

    public static final Status REVERSING

  - ### REVERSED

    public static final Status REVERSED

  - ### CONFIRMING

    public static final Status CONFIRMING

  - ### CONFIRMED

    public static final Status CONFIRMED

  - ### REFUNDING

    public static final Status REFUNDING

  - ### PARTIAL_REFUNDED

    public static final Status PARTIAL_REFUNDED

  - ### REFUNDED

    public static final Status REFUNDED

  - ### REJECTED

    public static final Status REJECTED

- ## Method Details

  - ### values

    public static Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()

  - ### isFinalStatus

    public boolean isFinalStatus()

  - ### getTitle

    public String getTitle()